"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const trigger_catalog_sync_1 = require("../http/trigger-catalog-sync");
const render_tip_1 = require("../rendering/render-tip");
const select_connections_1 = require("../prompt-data/select-connections");
class TriggerCatalogSync extends core_1.Command {
    static args = {};
    static description = `
  Triggers a catalog sync for selected connection.

  The script will use the \`CONNECT_AUTH_TOKEN\` environment variable to authenticate with Constructor.`;
    static examples = ["$ <%= config.bin %>"];
    async run() {
        const connectionId = await (0, select_connections_1.selectConnections)("Choose the connection to a trigger catalog sync");
        await (0, trigger_catalog_sync_1.triggerCatalogSync)({ connectionId });
        (0, render_tip_1.renderTip)(["🚀 Catalog sync triggered successfully!"]);
    }
}
exports.default = TriggerCatalogSync;
